<ion-header>
  <ion-toolbar>
    <ion-title>
      Room IR Meter
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-button [disabled]=!isRecording expand="full" color="danger" (click)="onStop()">
    Stop
  </ion-button>
  <form [formGroup]="parametersForm" (ngSubmit)="onStart()">
    <ion-item>
      <ion-label color="primary" position="stacked">Volume</ion-label>
      <ion-range pin="true" step="5" snaps ticks min="0" max="100" formControlName="volume">
        <ion-label size="small" slot="start">0</ion-label>
        <ion-label size="small" slot="end" >100</ion-label>
      </ion-range>
    </ion-item>

    <ion-item>
      <ion-label color="primary" position="stacked">Start frequency [Hz]</ion-label>
      <ion-input type="number" formControlName="startFrequency" class="form-control"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label color="primary" position="stacked">Stop frequency [Hz]</ion-label>
      <ion-input type="number" min="20" max="20000" formControlName="stopFrequency"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label color="primary" position="stacked">Number of repeats</ion-label>
      <ion-input type="number" max="10" min="1" formControlName="repeats"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label color="primary" position="stacked">Time [s]</ion-label>
      <ion-input type="number" min="1" max="20" formControlName="durationTime"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label color="primary" position="stacked">Silence time[s]</ion-label>
      <ion-input type="number" min="0" max="20" formControlName="silenceTime"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label color="primary" position="stacked">Signal type</ion-label>
      <ion-select #type formControlName="type" placeholder="Exponential">
        <ion-select-option value="exponential">Exponential</ion-select-option>
        <ion-select-option value="linear">Linear</ion-select-option>
      </ion-select>
    </ion-item>

    <span *ngIf="!parametersForm.valid && parametersForm.touched"> Please enter valid data! </span>
    <ion-button [disabled]=!parametersForm.valid expand="full" color="primary" type="submit">
      Start recording
    </ion-button>
  </form>

  <div *ngIf="results.length > 0">
    <ion-item-divider style="padding-top:60px;padding-bottom:30px">
      <ion-label color="primary" stacked>
        <h1>
          <span>
            Your Results: 
          </span>
        </h1>
      </ion-label>
    </ion-item-divider>
    <ion-grid>
      <ion-row>
      <ion-col col-3>Name</ion-col>
      <ion-col col-2>Input</ion-col>
      <ion-col col-2>Output</ion-col>
      <ion-col col-2>IR</ion-col>
      <ion-col col-3>Parameters</ion-col>
      </ion-row>
      <ion-row *ngFor="let result of results; let i = index">
      <ion-col col-3>{{result.name}}</ion-col>
      <ion-col col-2>
          <a [href]=result.inUrl [download]=result.inName ion-button block><ion-icon name="download">
            </ion-icon></a>
        </ion-col>
        <ion-col col-2>
          <a [href]=result.outUrl [download]=result.outName ion-button block><ion-icon name="download">
            </ion-icon></a>
        </ion-col>
        <ion-col col-2>
          <a [href]=result.irUrl [download]=result.irName ion-button block><ion-icon name="download">
            </ion-icon></a>
        </ion-col>
        <ion-col col-3>
          <ion-button block color=dark (click)="calcMeasuredParams(i)"><ion-icon name="calculator"></ion-icon>
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>

      <ion-item-divider style="padding-top:60px;padding-bottom:30px">
        <ion-label color="primary" stacked>
          <h1>
            Load IR
          </h1>
        </ion-label>
      </ion-item-divider>
    <ion-input type="file" (change)="loadIR($event)"></ion-input>
    <ion-grid *ngIf="loadedFiles.length > 0">
      <ion-row class="row">
        <ion-col col-6>Name</ion-col>
        <ion-col col-6>Parameters</ion-col>
      </ion-row>
      <ion-row class="row" *ngFor="let file of loadedFiles; let i = index">
        <ion-col col-6>{{file.name}}</ion-col>
        <ion-col col-6>
          <ion-button block color=dark (click)="calcLoadedParams(i)"><ion-icon name="calculator"></ion-icon>
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>

</ion-content>